Skip to content

Create Price Book

POST https://api.secure.quotivity.com/v1/pricebooks

Creates a new price book

Send your API key in the x-api-key header. See Generating API keys.

Required, application/json: CreatePriceBookRequest

Status Body Description
201 PriceBook Price book created successfully
400 — Invalid request
401 — Unauthorized
500 — Internal Server Error
Field Type Required Description
name string Yes —
description string Yes —
effectiveStartDate string No ISO date string (e.g. “2025-01-01”). Requires PRICE_BOOK_EFFECTIVE_DATES feature.
effectiveEndDate string No ISO date string (e.g. “2025-12-31”). Requires PRICE_BOOK_EFFECTIVE_DATES feature.
Field Type Required Description
id string Yes —
accountId string Yes —
name string Yes —
description string Yes —
bundleOptionId string No —
isDeleted boolean No —
effectiveStartDate string No ISO date string (e.g. “2025-01-01”). Requires PRICE_BOOK_EFFECTIVE_DATES feature.
effectiveEndDate string No ISO date string (e.g. “2025-12-31”). Requires PRICE_BOOK_EFFECTIVE_DATES feature.